Subject: bug#25371: sed-4.3: Build fails when build in a separate directory and --disable-dependency-tracking is used.

From: Juan Manuel Guerrero <[email-masked]>
Date: Fri, 06 Jan 2017 02:34:42 +0100

Although I was trying to build this sed version with DJGPP, the issue can be
reproduced on linux too.
I have tried to build sed in a separate build directory using the option --disable-dependency-tracking.
In this case only the directories gnulib-tests and po are created.  The corresponding
makefiles are created inside these directories.  No error is shown during the
configuration process.  All other directories are missing.  When I start make
I get the following error message:

   GEN      lib/alloca.h
/bin/sh: line 4: lib/alloca.h-t: No such file or directory
make: *** [lib/alloca.h] Fehler 1

If I do not use the --disable-dependency-tracking option then all directories
are created and sed is build flawlessly.  sed is also build flawlessly
if I configure in the top source directory (aka sed-4.3) no matter if the option
--disable-dependency-tracking is used or not.  Is this a bug or a feature?
The linux system is:
Linux 0015CE400E51 3.0.101-105-desktop #1 SMP PREEMPT Thu Oct 20 11:31:37 UTC 2016 (026b465) x86_64 x86_64 x86_64 GNU/Linux

Regards,
Juan M. Guerrero